package com.base.scanqrclear.utils

import android.annotation.SuppressLint
import java.text.SimpleDateFormat
import java.util.Calendar

object TimeUtils {

    fun isDayOrNight(): Boolean {
        val calendar: Calendar = Calendar.getInstance()
        val hour: Int = calendar.get(Calendar.HOUR_OF_DAY)
        // 假设早上6点到晚上6点是白天
        return if (hour in 6..17) {
//            "现在是白天。"
            true
        } else {
//            "现在是晚上。"
            false
        }
    }

    @SuppressLint("SimpleDateFormat")
    fun formatATime(): String {
        val calendar = Calendar.getInstance()
        // 格式化时间为 "AM 9:50" 格式
        val sdf = SimpleDateFormat("a hh:mm")
        return sdf.format(calendar.time)
    }

    fun isTimeBetweenEightAndTenPM(): Boolean {
        val now = Calendar.getInstance()
        val hour = now[Calendar.HOUR_OF_DAY] // 获取当前小时数（24小时制）

        // 检查当前时间是否在 8 点到 22 点之间
        return hour in 8..21
    }

    fun isTimeBetweenWan17toWan23(): Boolean {

        val calendar = Calendar.getInstance()
        val currentHour = calendar.get(Calendar.HOUR_OF_DAY) // 获取当前小时数（24小时制）

        val isEvening = currentHour in 17..22 // Kotlin中的in运算符用于判断范围
        return if (isEvening) {
            // 当前时间是晚上17点到23点之间
            true
        } else {
            // 当前时间不是晚上17点到23点之间
            false
        }
    }


    @SuppressLint("SimpleDateFormat")
    fun Long.formatTimeH(): String {
        val dateFormat = SimpleDateFormat("yyyy-M-d H")
        return dateFormat.format(this)
    }
}